CentOS 6.4 only comes with a version of Vim from 2008. That will not do.

⇒ root@seareach:~|⇒ cat /etc/redhat-release

CentOS release 6.4 (Final)

⇒ yum install -y mercurial

⇒ yum groupinstall -y 'Development Tools'

⇒ yum install perl-devel python-devel ruby-devel

⇒ yum install perl-ExtUtils-Embed ncurses-devel

⇒ hg clone https://vim.googlecode.com/hg/ vim

⇒ ./configure --with-features=huge --enable-perlinterp --enable-rubyinterp --enable-pythoninterp

⇒ make

⇒ make install

⇒ source ~/.zshrc

⇒ vim --version

VIM - Vi IMproved 7.4 (2013 Aug 10, compiled Nov 27 2013 10:42:25)



Published

28 November 2013

Category

vim

Tags